Bug 115182 - [up2date-gnome] RPM database corruption (made inconsistent)
[up2date-gnome] RPM database corruption (made inconsistent)
Status: CLOSED DUPLICATE of bug 118029
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: Security
Depends On:
Blocks: 124619 130798
  Show dependency treegraph
 
Reported: 2004-02-08 03:41 EST by Brian Beaudoin
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Beaudoin 2004-02-08 03:41:28 EST
Description of problem:

    If the user doesn't cancel the update process when a download
error occurs, the package information for all packages that were to be
updated are removed from the RPM database though no updates occurred.

Version-Release number of selected component (if applicable):

     up2date-gnome-4.1.16-1
     up2date-4.1.16-1

How reproducible:

     Hope to never reproduce the error :)

Steps to Reproduce:
    1.  Start up2date, select packages, hit next
    2.  Select "continue" when informed about a corrupted package
    3.  Select "next" when the rest of the packages are downloaded
    4.  Accidentally hit the space bar when the next error appears
        (was typing in another terminal when that error popped up)
  
Actual results:
    up2date-gnome crashed
    running up2date again showed no packages to be updated
    RPM claimed those packages were no longer installed
    Old package files still on hard drive, had to force updates.
    RPM database seemed otherwise intact (only packages being
      updated were absent from the database).

Expected results:
    Failure of up2date or RPM wouldn't result in an inconsistent
      database after a crash.

Additional info:

    This bug was very alarming to discover because it could not be
determined whether or not those packages were still intact (though
few, if any, were deleted) and any security updates that should have
been installed weren't and would not have been had they not been
force-installed from the command line.

Obviously cancelling at the first sign of a problem would have been a
good idea in this case (but since we're testing here, it's mostly just
a minor frustration).  Having a default action on the dialog boxes is
a bad thing though when an unexpected dialog pops up and a user is
typing (even if the default option is the best one to choose, typing a
'c' or an 'o' shortly before a space may easily change that).

I don't have any suggestions for you all on this one.  I'm not
entirely certain whether it is the up2date or the RPM component
responsible for this.  The 'rpm' command itself is pretty good at
dealing with problems though, but the playing field seems wide open on
this bug.
Comment 1 Aleksey Nogin 2004-03-11 05:19:31 EST
See also bug 118029
Comment 2 Matthew Miller 2006-07-11 13:23:59 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 3 John Thacker 2006-10-25 15:17:52 EDT
Regarding the last comment and the fact that up2date has been replaced in the
still-supported versions of FC, marking this as a duplicte of bug 118029, the
identical bug filed against rpm.

*** This bug has been marked as a duplicate of 118029 ***

Note You need to log in before you can comment on or make changes to this bug.